Unit UTFInsertDlg;

Interface

Uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

Type
  TFInsertDlg = class(TForm)
    EdValue : TEdit;

    BtOK     : TButton;
    BtCancel : TButton;

    Function IsValid(PString : String) : Boolean;

    Procedure EdValueChange(Sender : TObject);
  End;


Const
  ValidChars : Set Of Char = ['0'..'9', 'a'..'z', 'A'..'Z'];

Var
  FInsertDlg : TFInsertDlg;

Implementation

{$R *.DFM}


Function TFInsertDlg.IsValid;
Var
  Counter : Word;

Begin
  Result := True;

  For Counter := 1 To Length(PString) Do
    If Not (PString[Counter] In ValidChars) Then
      Result := False;
End;


Procedure TFInsertDlg.EdValueChange;
Begin
  If EdValue.Text = '' Then
    BtOK.ModalResult := mrNone
  Else
    If IsValid(EdValue.Text) Then
      BtOK.ModalResult := mrOk;
End;


End.
